Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003649TestLinkTest Plan (builds, milestones, test assign)public2010-08-02 16:192010-11-14 12:07
Reportermedienwolf 
Assigned Tofman 
PriorityhighSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
Platformtestlink 1.9 beta 4OSlinuxOS Versionfedora 10
Product Version1.9 Beta 4 
Fixed in Version1.9 (Prague) 
Summary0003649: Export/Import Test Plan links to test cases and platforms
DescriptionWhen going from testlink 1.9 Beta 3 to Beta 4 i realized that the database format isn't the same.
 
So in order to start with a fresh database content one idea was to
just export test cases and test plan and then import it into the new
testlink 1.9 Beta 5.

However, the feature to import/export a test plan (i.e. the information that collects which test cases and platforms are related to a test plan) isn't available.

I saw that there were already some requests for importing/exporting test plans, but all with slightly "increased" scope (i.e. also export the test cases).

Is there any way to bring in the feature into beta 6 with this minimized scope?
Do you have another way how i could align the databases (beta 3 vs. beta 5) manually (mysql)?

Thanks
Hans-Joerg
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filesxml file icon export_BETA-PLA2.xml [^] (1,492 bytes) 2010-09-25 17:58

- Relationships
parent of 0002622closedfman Contribution: Export Testplan with Build information 
parent of 0001289closedfman Request for test plan export in XML 
related to 0003421closedfman Test Case Execution feature - Add Export All test Case in TEST SUITE button 
related to 0003270closedfman Export Test Plan in XML Format 

-  Notes
(0010779)
fman (administrator)
2010-08-04 12:18

Please explain what are problems are you expecting, in order to focus our answer
(0011465)
medienwolf (reporter)
2010-09-22 17:36

1) The original intent was - you have a problem between databases as some area has changed or you move from one server to another and don't want to transfer the database as you want to start with the "fresh new database"
Thus one way to port over your files is to export everything (testcases, testplans)to XML and then to import it into the new DB by using the xml import function.

2) We now have another use case - assume that you like to review a manual testing test plan. We can import the test spec into xml and parse it to extract e.g. all test cases. Then we assess which ones are covered by automated testing (fully or partially) and then want to run a quick check on the test plan whether it actually included the "right" test cases.
This would be easy if we can export the Test Plan into xml - but unfortunately this isn't possible right now.

So in general, i believe there are and will be more use cases to allow export/import of XML and this really would be a good enhancement for the tool.
(0011497)
fman (administrator)
2010-09-25 14:06
edited on: 2010-09-25 17:58

Format:
<?xml version="1.0" encoding="UTF-8"?>
  <testplan>
    <name></name>
    <platforms>
      <platform>
        <name> </name>
        <internal_id></internal_id>
      </platform>
      <platform>
      ...
      </platform>
    </platforms>
    <executables>
      <link>
        <platform>
          <name> </name>
        </platform>
        <testcase>
          <name> </name>
          <externalid> </externalid>
          <version> </version>
          <execution_order> </execution_order>
        </testcase>
      </link>
      <link>
      ...
      </link>
    </executables>
  </testplan>	 
</xml>


(0011498)
fman (administrator)
2010-09-25 18:10

Scope of this export:
1. export minimal information needed to feed an automated testing tool.
   that's why there is only test case name and external id (test project based counter).
May be also internal id can be added.

2. allows rebuild test case version assignment to create test plan contents.

This will be the format used to import, and that's why test case contents (summary, preconditions, steps) are not needed.

More tests needs to be done.
Export will be available on 1.9 GA.
(0012515)
fman (administrator)
2010-11-14 12:07

1.9 (Prague) Released

- Issue History
Date Modified Username Field Change
2010-08-02 16:19 medienwolf New Issue
2010-08-04 12:18 fman Note Added: 0010779
2010-09-22 17:36 medienwolf Note Added: 0011465
2010-09-25 14:06 fman Note Added: 0011497
2010-09-25 14:07 fman Note Edited: 0011497 View Revisions
2010-09-25 17:58 fman Note Edited: 0011497 View Revisions
2010-09-25 17:58 fman File Added: export_BETA-PLA2.xml
2010-09-25 18:10 fman Note Added: 0011498
2010-09-25 18:10 fman Assigned To => fman
2010-09-25 18:10 fman Status new => assigned
2010-09-25 18:13 fman Relationship added related to 0003421
2010-09-25 18:14 fman Relationship added related to 0003270
2010-10-02 17:16 fman Relationship added parent of 0002622
2010-10-02 17:31 fman Relationship added parent of 0001289
2010-10-17 15:19 fman Summary Export/Import Test Plan => Export/Import Test Plan links to test cases and platforms
2010-10-31 17:37 fman Status assigned => resolved
2010-10-31 17:37 fman Fixed in Version => 1.9 (Prague)
2010-10-31 17:37 fman Resolution open => fixed
2010-11-14 12:07 fman Note Added: 0012515
2010-11-14 12:07 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker